QGIS Application - Feature request #2606
target field shall be selected automatically
2010-03-29 02:51 PM - timmie -

Status: Open

Priority: Low

Assignee:

Category: Digitising

Pull Request or Patch supplied: Resolution:

Easy fix?: No Copied to github as #: 12666
Description

Hello,

when editing attribute tables, | would prefer that a selected field will automatically be the target of the field calculator results.

History

#1 - 2010-06-11 12:19 AM - Paolo Cavallini

Unclear what is the best option. Other users may have different preferences.

#2 - 2011-07-14 12:16 AM - Alister Hood
- Assignee deleted (nobody -)

a selected field

It sounds to me like they are asking for an option to set the default field for a particular layer.

I'm not sure that it would be particularly useful myself ;)

#3 - 2011-12-16 01:56 PM - Giovanni Manghi

- Target version changed from Version 1.7.0 to Version 1.7.4

#4 - 2012-04-15 10:12 AM - Giovanni Manghi
- Target version changed from Version 1.7.4 to Version 2.0.0

#5 - 2012-10-06 02:23 AM - Pirmin Kalberer
- Target version changed from Version 2.0.0 to Future Release - Nice to have

#6 - 2015-11-17 06:45 AM - Médéric RIBREUX
- Status changed from Open to Feedback

- Operating System changed from Debian to All
- Pull Request or Patch supplied set to No

Hello,

for the moment, when you select a line in the attribute table and then open the Field Calculator, calculations are applied by default to the selected lines
(checkbox "Only update selected features"). | think that we could use the same mechanism to make the Field Calculator defaults to Update Existing Field
and select the selected field into the attribute table.

One problem is that once you have selected a field in the attribute table, you cannot have no field selection (even in clicking outside of the window).
Should we try to implement what I've described above or should we just say that this feature request don't find a consensus for users (and we should close
it) ?

#7 - 2015-12-17 01:28 AM - Médéric RIBREUX

- Status changed from Feedback to Open

#8 - 2017-05-01 12:50 AM - Giovanni Manghi
- Easy fix? set to No
